profile ukfs_3rl_1x {

	Sample template for DynaTrax testing
	Copyright  Trainsimfiles.com

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=ukfs_1x.trainsimfiles.uk

		#profileSet is the track system the profile belongs to
		profileSet=UK FineScale

		#profileName is a description of the profile
		profilename=UK FineScale Standard Gauge 3rd Rail (left side)

		#url/email for profile issues
		support=http://support.trainsimfiles.com/

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#seglimits sets how segmentation of shapes is to occur maximum segment angle, minimum and maximum segment length 
	#followed by (minimum length, maximum length)
	#these force the segmentation to take place with 
	#these parameters are currently hard-coded, but will be enabled to allow user-defined quality of curves/straights 
	maxSegAngle=0.75
	minSegLength=1
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=BALLAST (ukfs_track1.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,test,0,6.096)
	material=SLEEPERS (ukfs_sleepers.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,none,normal,0,6.096)
	material=RAILSIDES (ukfs_rail.ace,-2,TexDiff,LinearMipLinear,OptSpecular0,none,normal,18,0)
	material=RAILTOPS (ukfs_rail.ace,-1,TexDiff,LinearMipLinear,OptSpecular25,none,normal,18,0)
	material=RAILCHAIRS (ukfs_track1.ace,-2,BlendATexDiff,LinearMipLinear,OptSpecular0,trans,normal,0,6.096)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(-2.2952,0.06,0)(-1.2952,0.11,0)(1.2952,0.11,0)(2.2952,0.06,0)
	points=(-1.2952,0.112,0)(1.2952,0.112,0)
	points=(-0.7175,0.3,0)(-0.7175,0.15,0)(-0.7925,0.15,0)(-0.7925,0.3,0)
	points=(0.7925,0.3,0)(0.7925,0.15,0)(0.7175,0.15,0)(0.7175,0.3,0)
	points=(-0.8825,0.11,0)(-0.7925,0.2,0)(-0.7175,0.2,0,0)(-0.6275,0.11,0)
	points=(0.6275,0.11,0)(0.7175,0.2,0,0)(0.7925,0.2,0)(0.8825,0.11,0)
	points=(-2.2952,0.11,0)(2.2952,0.11,0)
	points=(-1.161,0.25,0)(-1.161,0.375,0)
	points=(-1.086,0.25,0)(-1.086,0.375,0)
	#28+
	points=(-1.212,0.11,0)(-1.164,0.11,0.0693)(-1.084,0.11,0.0693)(-1.036,0.11,0)(-1.084,0.11,-0.0693)(-1.164,0.11,-0.0693)(0,0.36,0)
	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(0.246,0)(0.412,0)(0.834,0)(0.998,0)
	uvpoints=(0,0.977)(0,0.949)
	uvpoints=(0,0.998)(0,0.979)
	uvpoints=(0,0)(0.02,0)(0.040,0)
	uvpoints=(0.673,0.662)(0.687,0.662)(0.709,0.662)(0.722,0.662)(0.697,0.72)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	#limited to 4 LOD levels in the beta, but should be sufficient for evaluation/testing
	lods=50,400,1000,2000
	degrade=1,2,4,8

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	object BASE {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=BALLAST

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(0,0)(1,1)(2,2)(3,3)
		profile=1,(22,0)(23,3)
		profile=2,(22,0)(23,3)
		profile=3,(22,0)(23,3)
	}
	object RAILS {
		subobject=0
		materialName=RAILSIDES
		profile=0,(6,4)(7,5)
		profile=0,(8,5)(9,4)
		profile=0,(10,4)(11,5)
		profile=0,(12,5)(13,4)
		profile=0,(24,5)(25,4)
		profile=0,(27,5)(26,4)
		profile=1,(6,4)(7,5)
		profile=1,(8,5)(9,4)
		profile=1,(10,4)(11,5)
		profile=1,(12,5)(13,4)
		profile=1,(24,5)(25,4)
		profile=1,(27,5)(26,4)
		profile=2,(6,4)(7,5)
		profile=2,(8,5)(9,4)
		profile=2,(10,4)(11,5)
		profile=2,(12,5)(13,4)
		profile=2,(24,5)(25,4)
		profile=2,(27,5)(26,4)
		#shapeClone=lod,z offset,spacing,([faces],[uv's])
		shapeClone=0,0.762,2.286,(28,29,34)[11,12,15],(29,30,34)[12,13,15]
	}
	object RAILTOPS {
		subobject=0
		materialName=RAILTOPS
		profile=0,(9,6)(6,7)
		profile=0,(13,6)(10,7)
		profile=0,(25,6)(27,7)
		profile=1,(9,6)(6,7)
		profile=1,(13,6)(10,7)
		profile=1,(25,6)(27,7)
		profile=2,(9,6)(6,7)
		profile=2,(13,6)(10,7)
		profile=2,(25,6)(27,7)	
	}
	object RAILCHAIRS {
		subobject=0
		materialName=RAILCHAIRS
		profile=0,(14,8)(15,9)
		profile=0,(16,9)(17,10)
		profile=0,(18,10)(19,9)
		profile=0,(20,9)(21,8)
	}
	object SLEEPERS {
		subobject=1
		materialName=SLEEPERS
		profile=0,(4,1)(5,2)
		profile=1,(4,1)(5,2)
		profile=2,(4,1)(5,2)
	}
}